Skip to content

Changelog python3-defaults (3.8.2-0ubuntu2)

2020

python3-defaults (3.8.2-0ubuntu2) focal; urgency=medium

   [ Dimitri John Ledkov ]
   * Correct command-not-found XB-Cnf headers LP: #1867157:
     - Drop Extra-Commands headers not needed
     - Add XB- to ensure Visible-Pkgname actually is included in the binary
       package heders
 
   [ Stuart Prescott ]
   * Use unbuffered IO to pass filenames to py_compile (Closes: #953056)
     LP: #1863414

python3-defaults (3.8.2-0ubuntu1) focal; urgency=medium

   * Bump version to 3.8.2.
   * Bump standards version.

python3-defaults (3.8.0-3ubuntu1) focal; urgency=medium

   * Drop Python 3.7 as a supported Python3 version.

2019

python3-defaults (3.8.0-3) experimental; urgency=medium

   * Drop the symlinks with the m modifier.

python3-defaults (3.8.0-2) experimental; urgency=medium

   * Bump the defaults version in the python_defaults file as well-

python3-defaults (3.8.0-1) experimental; urgency=medium

   * Default python3 version to 3.8.
   * python3-dbg: Provide a python3-dbg-embed.pc pkg-config file.
   * Move the pkg-config files into libpython3-dev and libpython3-dbg.

python3-defaults (3.7.5-3) unstable; urgency=medium

   [ Matthias Klose ]
   * Update the Python policy for the Python2 removal (Neil Williams).
     Closes: #943666.
   * Prepare to ship the python*-embed pkg-config files with 3.8 as the
     default Python3 version.
 
   [ Piotr Ożarowski ]
   * Remove dh-python dependency from python3-all and python3-dev packages.
     Packages should build depend on dh-python or dh-sequence-python3 instead.

python3-defaults (3.7.5-2) experimental; urgency=medium

   * Add 3.8 as a supported Python3 versions.

python3-defaults (3.7.5-1) unstable; urgency=medium

   * Bump version to 3.7.5.
   * Bump standards version.

python3-defaults (3.7.3-1) unstable; urgency=medium

   * Bump version to 3.7.3.

python3-defaults (3.7.2-1) unstable; urgency=medium

   * Bump version to 3.7.2.
   * Bump standards version.

2018

python3-defaults (3.7.1-3) unstable; urgency=medium

   * Remove 3.6 as a supported Python3 versions.

python3-defaults (3.7.1-2) unstable; urgency=medium

   * Default python3 version to 3.7, targeting sid/buster.
   * Fix FTCBFS: Annotate python build dependencies with :any (Helmut Grohne).
     Closes: #912899.

python3-defaults (3.7.1-1) experimental; urgency=medium

   * Default python3 version to 3.7.

python3-defaults (3.6.7-1) unstable; urgency=high

   * Really ship the policy in the python3 package, and update from the last
     version found in the python package. Closes: #910113.
   * Bump version to 3.6.7.

python3-defaults (3.6.6-1) unstable; urgency=medium

   [ Matthias Klose ]
   * Fix the idle desktop file. Closes: #901096.
   * Install the policy files in the python3 package. Closes: #901486.
   * python3-minimal: Pre-Depend on python3.6-minimal. Closes: #901001.
   * Bump version to 3.6.6.
 
   [ Scott Kitterman ]
   * Remove myself from uploaders

python3-defaults (3.6.5-5) experimental; urgency=medium

   * Fix typo in the defaults file. Closes: #900937, #900949.

python3-defaults (3.6.5-4) experimental; urgency=medium

   * Update Vcs attributes.
   * Add Python 3.7 to the list of supported Python3 versions.

python3-defaults (3.6.5-3) unstable; urgency=medium

   * Update valgrind support file. LP: #1513364.
   * debian/control.in (Michael Vogt):
     - add Cnf-Visible-Pkgname hint to ensure command-not-found recommends
       installing "python3" instead of "python3-minimal" when it is missing.

python3-defaults (3.6.5-2) unstable; urgency=medium

   * Distinguish between python3.6 and python3-stdlib-extensions versions.
     Closes: #894168.
   * python3-venv: Depend on python3-distutils.

python3-defaults (3.6.5-1) unstable; urgency=medium

   [ Matthias Klose ]
   * Bump version to 3.6.5.
 
   [ Michael Vogt ]
   * debian/control.in: LP: #1752415
     - add "XB-Cnf-Extra-Commands: python" to ensure command-not-found
       outputs the python3 package when searching for "python"
     - add XB-Cnf-Priority-Bonus to ensure python3 is listed on the
       top when typing "python"

python3-defaults (3.6.5~rc1-1) unstable; urgency=medium

   * Bump version to 3.6.5~rc1.
   * Remove dh-python dependency from python3.
   * Add dh-python and python3-distutils dependencies to python3-all and
     python3-dev.

2017

python3-defaults (3.6.4-1) unstable; urgency=medium

   * Bump version to 3.6.4.
   * 2to3: Depend on python3-lib2to3 and provide the 2to3 launcher.

python3-defaults (3.6.4~rc1-2) unstable; urgency=medium

   * 2to3: Fix breaks/replaces relation with python. Closes: #884418.

python3-defaults (3.6.4~rc1-1) unstable; urgency=medium

   * Bump version to 3.6.4~rc1.
   * Stop using priority extra for the -dbg packages.
   * Build a 2to3 package.

python3-defaults (3.6.3-2) unstable; urgency=medium

   * Remove python3.5 as a supported Python3 version.

python3-defaults (3.6.3-1) unstable; urgency=medium

   * Bump version to 3.6.3.
   * Update more references from 3.5 to 3.6.
   * Rename the idle3 package to idle, keep a transitional idle3 package.
   * Fix idle script to run with Python3.
   * Bump standards version to 4.1.1.

python3-defaults (3.6.2-1) experimental; urgency=medium

   * Default python3 version to 3.6.
   * Bump standards version to 4.1.0.
   * Change policy format from debiandoc SGML to DocBook/XML (W. Martin Borgert).
     Closes: #871526, #872581.
   * Fix some invalid escape sequences that make autopkgtests fail by causing
     warnings on stderr (Michael Hudson-Doyle).
   * python3-doc, python3-examples: Mark M-A: foreign.

python3-defaults (3.5.3-3) unstable; urgency=medium

   * Upload to unstable
   * Update python3 version number in debian/README.Debian (Closes:
     #826565)
   * Add debian/watch, thanks to Taylor Kline for the patch (Closes:
     #850789)
   * No VCS cruft in the tarball this time (Closes: #854974)
   * Bump standards version to 4.0.0 without further change
   * Delete ancient Breaks/Replaces for idle3 and python3-minimal

python3-defaults (3.5.3-2) experimental; urgency=medium

   * Add python3.6 to supported python3 versions for experimental

python3-defaults (3.5.3-1) unstable; urgency=medium

   * Bump version to 3.5.3.

2016

python3-defaults (3.5.1-4) unstable; urgency=medium

   * Bump standards version.
   * Rebuild to pick up the GNU triplet change on i386 archs. Addresses: #826128.

python3-defaults (3.5.1-3) unstable; urgency=medium

   * Drop build dependency on python3.4.
   * Bump standards and debhelper versions.

python3-defaults (3.5.1-2) unstable; urgency=medium

   * Drop Python 3.4 as a supported python3 version.

python3-defaults (3.5.1-1) unstable; urgency=medium

   * Upload to unstable
 
   [ Scott Kitterman ]
   * Drop redundant supported/default version definitions in debpython/
     version.py
 
   [ Matthias Klose ]
   * Bump version to 3.5.1.
   * Stop shipping menu files.

2015

python3-defaults (3.5.0-2) experimental; urgency=medium

   * Update py3versions to list versions in a consistent order: default listed
     last and non-default listed first in ascending order (Closes: #801376)

python3-defaults (3.5.0-1) experimental; urgency=medium

   * Set python3.5 as the default python3 for testing in experimental

python3-defaults (3.4.3-7) unstable; urgency=medium

   * Update py3versions to list versions in a consistent order: default listed
     last and non-default listed first in ascending order (Closes: #801376)

python3-defaults (3.4.3-6) unstable; urgency=medium

   * Upload to unstable
     - Adds python3.5 as a supported python3 version in unstable
   * Update idle3 desktop file to better support use from file managers such as
     nautilus (Closes: #796125)
     - Thanks to Pat Hooper for the patch

python3-defaults (3.4.3-5) experimental; urgency=medium

   * Readd python3.5 as a supported version for experimental

python3-defaults (3.4.3-4) unstable; urgency=medium

   * Upload to unstable
 
   [ Matthias Klose ]
   * Update README for python 3.4. Closes: #772545.
 
   [ Scott Kitterman ]
   * Drop python3.5 as a supported version for upload to unstable

python3-defaults (3.4.3-2) experimental; urgency=medium

   * Add python3.5 as a supported Python version.

python3-defaults (3.4.3-1) experimental; urgency=medium

   * Bump version to 3.4.3.
   * Make python3-minimal a pre-dependency for python3.

2014

python3-defaults (3.4.2-2) unstable; urgency=medium

   * py3clean: remove pyc files generated from files with dot in its name
     (workaraunds http://bugs.python.org/issue22966)

python3-defaults (3.4.2-1) unstable; urgency=medium

   [ Scott Kitterman ]
   * Drop unused B-D-I on libhtml-tree-perl
   * Use dpkg-vendor instead of lsb-release to determine distribution.
 
   [ Matthias Klose ]
   * Bump version to 3.4.2.
   * Bump standards version to 3.9.6.
   * Build-depend on python3.4 and dpkg-dev versions to consistently
     generate the i586-* symlinks. Closes: #762980.

python3-defaults (3.4.1-1) unstable; urgency=medium

   * Bump version to 3.4.1.
   * Drop python3.3 as a supported python version.
   * Build a python3-venv binary package.
   * Fix lintian warnings.
   * py3versions: Ignore blank lines before the source section in the control
     file. Closes: #739935.

python3-defaults (3.4.1~rc1-1) unstable; urgency=medium

   * Upload to unstable
   * Bump version to 3.4.1~rc1

python3-defaults (3.4~rc1-1) experimental; urgency=medium

   * Default to python3.4.

python3-defaults (3.3.4-1) unstable; urgency=medium

   * Bump version to 3.3.4.

2013

python3-defaults (3.3.3-1) experimental; urgency=low

   * Add python3.4 as a supported python version.

python3-defaults (3.3.2-17) unstable; urgency=low

   * Add Multi-Arch: allowed for python3-all-dev.

python3-defaults (3.3.2-16) unstable; urgency=low

   * Restore :any relationship for python3-minimal build-dep now that it is
     supported on the buildds

python3-defaults (3.3.2-15) unstable; urgency=low

   * Drop non-existing :any from python3-minimal build-dep.

python3-defaults (3.3.2-14) unstable; urgency=low

   * Add python3.1 and python3.2 to unsupported-versions
   * Build-depend on python3-minimal:any instead of python since that's what's
     used during the build now
   * Build-depend on python3-docutils instead of python-docutils
   * Add Multi-Arch: allowed for python3-all and python3-all-dbg
   * Add libpython3-dbg to python3-dbg depends
   * Add libpython3-dev to python3-dev depends
   * Use generated depends in control.in for libpython3-stdlib as with other
     binaries
   * Set UPSTRVER for Ubuntu in debian/rules so correct results are produced in
     both Debian and Ubuntu

python3-defaults (3.3.2-13) unstable; urgency=low

   * Bump python3-minimal Breaks/Replaces python3 versions to 3.3.2-13~ to
     account for files moved in -4 and later (Closes: #718734)
   * Fix broken libpython3-all-dbg symlink

python3-defaults (3.3.2-12) unstable; urgency=low

   * Re-upload with a version newer than the one in experimental.
   * Build libpython3-all-{dev,dbg} and libpython3-stdlib packages.
   * Move debiandoc-sgml and lsb-release from Build-Depends-Indep to
     Build-Depends.

python3-defaults (3.3.2-5) unstable; urgency=low

   * Drop python3.2 from supported python3 versions

python3-defaults (3.3.2-4) unstable; urgency=low

   * Upload to unstable
   * Remove /usr/share/python3/debpython/__pycache__ in python3-minimal's prerm
   * Change source format back to 1.0 (native)

python3-defaults (3.3.2-11) experimental; urgency=low

   * Make datetime module optional in debpython (it's not available in
     python3.X-minimal, closes: #717232)

python3-defaults (3.3.2-10) experimental; urgency=low

   [ Matthias Klose ]
   * Move py3compile and py3clean back to the python3-minimal package.
 
   [ Piotr Ożarowski ]
   * Remove pybuild and dh_python3, dh-python source package provides it now
   * Add dh-python dependency in python3 package (to make sure dh_python3 is
     installed)
   * Bump Standards-Version to 3.9.4

python3-defaults (3.3.2-3) unstable; urgency=low

   * Bump python3-minimal Breaks/Replaces python3 versions to 3.3.2-1~ to
     account for files moved in -2 (closes: #717373)

python3-defaults (3.3.2-2) unstable; urgency=low

   [ Matthias Klose ]
   * Build dependency packages as architecture dependent packages.
   * Make python3, python3-{minimal,dev,dbg} Multi-Arch: allowed.
   * Don't use the `u' abi flag when defaulting to 3.3.
   * Build Multi-Arch: same packages libpython3-{dev,dbg} packages providing
     $(DEB_HOST_MULTIARCH)-python3-config symlinks.
 
   [ Piotr Ożarowski ]
   * Move python-docutils to Build-Depends (python3 package is now arch:any)
 
   [ Dmitry Shachnev ]
   * Include architecture.mk in debian/rules instead of defining
     DEB_HOST_* manually.
 
   [ Scott Kitterman ]
   * Correct doc directory in README.Debian
   * Bump standards version to 3.9.4 without further change

python3-defaults (3.3.2-1) unstable; urgency=low

   [ Scott Kitterman ]
   * Make python3.3 the default python3
   * When X-Python3-Version is not present, do not describe it as missing,
     just indicate it is not there
 
   [ Matthias Klose ]
   * Bump version to 3.3.2.
   * Don't use the `u' abi flag when defaulting to 3.3.

python3-defaults (3.3.0-3) experimental; urgency=low

   [ Piotr Ożarowski ]
   * pybuild:
     - add --ext-dest-dir (PYBUILD_EXT_DESTDIR) and --ext-pattern
       (PYBUILD_EXT_PATTERN) options to move files after install step
     - save before/after command logs if quiet mode is on
     - do not warn about limiting versions if there's only one
     - distutils plugin: do not skip build in install target
       (ugly workaround for yet another distutils "feature",
       closes: #701137)
     - do not run tests if DEB_BUILD_OPTIONS contains "nocheck"
   * dh_python3:
     - add version range to py3compile in maintainer scripts
     - no longer sensitive to trailing slash in private dir names
       (closes: #701215)
   * Bump minimum required dpkg-dev build dependency to 1.16.1~
     (due to architecture.mk in debian/rules)
 
   [ Dmitry Shachnev ]
   * Include architecture.mk in debian/rules instead of defining
     DEB_HOST_* manually.
   * tests/t1: Build-depend on python3-all instead of python-all.
   * Make tests work without python-support installed.
   * debian/tests/control: Add a dependency on libjs-jquery (test1 contains
     a symlink to /usr/share/javascript/jquery/jquery.js).
   * Added missing docinfo to man pages, to fix a lintian warning
     (Closes: #702777).
 
   [ Matthias Klose ]
   * dh_python3: Use the multiarch tuple for the host (if DEB_HOST_MULTIARCH
     is set in the environment).
   * Add a libpython3-stdlib package (not yet built).

python3-defaults (3.3.0-2) experimental; urgency=low

   [ Piotr Ożarowski ]
   * dh_python3:
     - add multiarch support (rename extensions in dist-packages)
     - rename foomodule.so to foo.so in dist-packages (for Python >= 3.3)
   * pybuild:
     - add --{before,after}-{clean,configure,build,install,test}
       command line options and many more PYBUILD_FOO environment vars
       (f.e. PYBUILD_DESTDIR, PYBUILD_DESTDIR_python3,
       PYBUILD_DESTDIR_python3.3-dbg)
     - add --disable command line option (to disable step, interpreter, version
       or any mix of them); drop --no-clean and --no-tests arguments
       (replaced by --disable clean, --disable test or --disable 'clean test')
     - add new build system to dh sequencer (dh --buildsystem=pybuild)
     - add manpage
   * Move python-docutils to Build-Depends (python3 package is now arch:any)
 
   [ Matthias Klose ]
   * Build dependency packages as architecture dependent packages.
   * Make python3, python3-{minimal,dev,dbg} Multi-Arch: allowed.
   * Don't use the `u' abi flag when defaulting to 3.3.
   * Build Multi-Arch: same packages libpython3-{dev,dbg} packages providing
     $(DEB_HOST_MULTIARCH)-python3-config symlinks.
   * Add Multi-Arch: same packages libpython3-all-{dev,dbg} (not yet built,
     python3.2 doesn't have support for multiarch).
 
   [ Dmitry Shachnev ]
   * debpython/interpreter.py: fix failing doctest
     (architecture no longer hardcoded)
   * Added DEP-8 tests (Closes: #698002).

2012

python3-defaults (3.3.0-1) experimental; urgency=low

   [ Piotr Ożarowski ]
   * Add Python 3.3 to the list of supported Python 3 versions and make it a
     default one.
   * dh_python3:
     - remove egg-info file/dir while moving files to common directory
       if the later one already contains it
   * rewrite dh_python3.1, py3compile.1 and py3clean.1 manpages in
     ReStructured Text
   * Add pybuild
 
   [ Scott Kitterman ]
   * Update Makefile to install pybuild
   * Fix file name typo in README.derivatives

python3-defaults (3.2.3-7) unstable; urgency=low

   * Add Python 3.3 as a supported Python version.

python3-defaults (3.2.3-6) unstable; urgency=low

   [ Piotr Ożarowski ]
   * dh_python3
     - ignore empty files while trying to normalize shebangs
     - mention the right file (debian/py3dist-overrides) while warning about
       guessed dependency - thanks to Sebastian Ramacher for the patch
       (Closes: #685067)
     - fix generating dependencies when maximum version is specified
       (Closes: #687060)
   * py3versions.py: fix parsing DEBPYTHON3_SUPPORTED env. variable
     (versions should be separated using comma, as in debian_defaults
     config file)
   * py3versions, debpython: close previously opened files - thanks to Dmitry
     Shachnev for the patch (Closes: #686587)
 
   [ Dmitry Shachnev ]
   [ Barry Warsaw ]
   * py3clean: Don't remove everything in the __pycache__ directory for
     system site package directories. Prevents bogus cleaning of unrelated
     *.pyc files. Original patch by Dmitry, with review, clean up, small
     modifications, and additional comments by Barry. (Closes: #685167)
 
   [ Barry Warsaw ]
   * dh_python3: Rework calculation of extension tags to add support for
     Python 3.3's different suffixes, and to allow for unadorned .so files
     to assume they are built with the default Python 3 version.
     Closes: 672178
   * README.derivatives: It is no longer necessary to edit
     debian/py3versions.py since the values are taken from
     debian_defaults. Also added some text on how to separate the
     specification when multiple versions are supported.
   * Makefile: Fix the nosetests3 command. Closes: 690259

python3-defaults (3.2.3-5) unstable; urgency=low

   * dh_python3:
     - do not rewrite /usr/bin/python{,2.*} shebangs
       (Closes: #683294, /me still thinks it was a feature, not a bug)
     - parsing debian/control fields is now case insensitive
   * Change source format from native to 3.0 (native)

python3-defaults (3.2.3-4) unstable; urgency=high

   * py3clean: really close #681389

python3-defaults (3.2.3-3) unstable; urgency=high

   * Yet another update in SHEBANG_RE to handle even more cases
   * test4 fixed to catch missing /usr/bin/python → /usr/bin/python3 rewrites
   * py3clean: accept --package and directory name at the same time
     (change missed in -1 upload, closes: #681389)
   * Bump minimum required python3 version to 3.2.3-3~ in packages with .py files
     (due to --package option that is added to py3compile/py3clean in rtupdate
     scripts)

python3-defaults (3.2.3-2) unstable; urgency=high

   * Urgency high for grave bug because this will cause other packages to
     misbuild
   * Correct SHEBANG_RE in debpython/tools.py to not capture the 3 from python3
     (Closes: #681235)

python3-defaults (3.2.3-1) unstable; urgency=low

   * Bump upstream version to match current unstable/wheezy python3.2 version
   * dh_python3:
     - generates rtupdate scripts for private directories that compile files
       from given package only, add --compile-all to dh_python3's call if you
       want the old behaviour (i.e. compile also files (plugins?) provided by
       other packages, which do not use a helper/bytecompile them)
     - rewrite shebangs by default (disable via --no-shebang-rewrite),
       examples:
        + "/usr/bin/env python3*" → "/usr/bin/python3*"
        + "/usr/local/bin/python3 foo" → "/usr/bin/python3 foo"
     - new --shebang option to replace all shebangs in bin dirs
       (example: --shebang /usr/bin/python3)
     - translate Python version numbers into Debian ones for those
       require.txt items that have a pydist file with (uscan like) rules
       or PEP386 flag
   * py3versions, dh_python3, py3compile: allow to override system's list of
     supported Python3 versions via DEBPYTHON3_SUPPORTED and default Python3
     version via DEBPYTHON3_DEFAULT env. variables
   * Debhelper's python3 sequence now inserts dh_python3 before dh_installinit

python3-defaults (3.2.3~rc2-1) unstable; urgency=low

   [ Scott Kitterman ]
   * Drop unused XS-Python-Version support from dh_python3
   * Remove unused debian/pyversions support from dh_python3
   * Remove unused support for comma delimited lists of versions with
     X-Python3-Version from py3versions and debpython/debhelper.py (dh_python3)
   * Clean up log messages in py3versions a bit
   * Remove unused code related to parsing debian/pyversions from
     debian/py3versions
   * idle3 should Break as well as Replace python3
   * Correct Python package names with hyphens in them being ignored
     (Closes: #657667)
   * Fix python3.2 related deprecation and resource warnings in
     debian/py3versions.py (Closes: #670471)
   * Drop -n from /usr/bin/idle3 invocations in debian/idle.desktop and
     debian/idle.menu (Closes: #671704)
   * dh_python3, py3versions: make comparison of X-Python-Version field names
     case-insensitive (Closes: #676225)
     - Change based on Piotr Ożarowski's change for python-defaults
   * Bump upstream version number to match python3.2 (3.2.3~rc2)
   * Bump minimum debhelper version to 7.0.50~ to support minumum version
     needed by tests
   * Add debian/python3-minimal.postinst.in and python3-minimal.prerm to
     support byte compiling py3versions.py (Closes: #672226)
     - byte compiling only works if py3compile is present, which it may not be
       on fresh installs, but removing .pyc files is reliable (best we can do
       without moving py3compile to python3-minimal
   * Move /usr/bin/py3versions -> ../share/python3/py3versions.py symlink from
     python3 to python3-minimal to match the change in python-defaults
     - Add Breaks/Replaces
 
   [ Piotr Ożarowski ]
   * Generate correct python3 (<< 3.X) dependencies when maximum Python 3
     version is specified (Closes: #675703)

python3-defaults (3.2.3~rc1-2) unstable; urgency=low

   * Fix max version expansion for -V/X-P-V to be the max version and not +1
   * Move idle3.xpm symlink from python3 to idle3 and add Replaces
   * Add 'dependency package' to long description of python3-all,
     python3-all-dev, and python3-all-dbg

python3-defaults (3.2.3~rc1-1) unstable; urgency=low

   * debpython/depends.py:
     - Add functional support for -V, specify list of supported Python versions
       for dh_python3
   * Adjust upstream version number to match current python3.2 version
   * Bump standards version to 3.9.3 without further change

python3-defaults (3.2.2-1) unstable; urgency=low

   [ Scott Kitterman ]
   * Update upstream version to match python3.2
   * Add versioned idle3 package to idle3 depends (Closes: #637973)
   * Fix typo in debian/py3versions.1 (Closes: #651342)
     - Patch thanks to Daniel Stender
   * Specify Python 3 and not just Python in python3-doc/dbg descriptions
   * Add build-arch and build-indep targets in debian/rules
   * Add native-package-with-dash-version to source lintian overrides
   * Add idle3.lintian-overrides for menu-icon-missing since it is provided
     in the python3 package
   * Bump standards version to 3.9.2 without further change
 
   [ Matthias Klose ]
   * Add symlinks for python3-config man page.
   * Add symlinks for binaries and man pages including the abi flags.
 
   [ Piotr Ożarowski ]
   * py3compile:
     - fix -O option
     - speed up a bit (remove unnecessary interpreter calls)

2011

python3-defaults (3.2.2~rc1-2) unstable; urgency=medium

   * Medium urgency to avoid blocking the python2.7 transition
   * python3 now provides python3-profiler
   * Drop suggests on old (non-free) python3-profiler package

python3-defaults (3.2.2~rc1-1) unstable; urgency=low

   * Update upstream version to match python3.2
   * dh_python3: Assume .so files without tag in /usr/lib/python3/ are built for
     Python 3.2 instead of for Python 3.1
   * dh_python3 and dh_python3.1: add --no-dbg-cleaning option (to disable
     removing files from debug packages) from dh_python2

python3-defaults (3.2-3) unstable; urgency=low

   * Fix a typo in dh_python3 and generate correct prerm scripts
     (with py3clean rather than pyclean, thanks to IRIE Shinsuke for bug
     reporta and a patch, closes: 622708, LP: #760401)

python3-defaults (3.2-2) unstable; urgency=low

   [ Piotr Ożarowski ]
   * Drop Python 3.1 from supported Python 3 versions
   * python.mk: add py_builddir and py_builddir_sh macros.
     $(call py_builddir, 3.2) returns "build/lib.linux-x86_64-3.2" on amd64
 
   [ Scott Kitterman ]
   * Upload to unstable

python3-defaults (3.2-1) experimental; urgency=low

   [ Piotr Ożarowski ]
   * dh_python3 and py3compile: read /usr/share/python3/debian_defaults to get
     default Python 3 version and a list of supported Python 3 versions
   * py3compile:
     - let py_compile.py warn about syntax errors again
   * dh_python3:
     - fix checking shebangs in private directories (executable bit wasn't
       checked correctly)
     - private modules without extensions will not cause FTBFS anymore
       (closes: 617358, thanks to IRIE Shinsuke for the patch)
     - generate "python3 (>= 3.X), python3 (<< 3.Y)" dependencies if package
       provides public extensions
     - make egg-info files/dirs searches case insensitive
 
   [ Scott Kitterman ]
   * More Python/Python 3 in package descriptions

python3-defaults (3.2~rc1-2) experimental; urgency=low

   * dh_python3: add support for DH_OPTIONS env. variable
   * disable check_versions test and drop python3 package from Build-Depends

python3-defaults (3.2~rc1-1) experimental; urgency=low

   * Bump Python minimum version to >= 3.2~rc1
   * dh_python3: ignore binary files while checking shebangs
   * py3compile: fix magic number check

python3-defaults (3.2~b2-2) experimental; urgency=low

   * dh_python3
     - fix moving files from old debug locations
     - move as many files to /usr/lib/python3/dist-packages as possible
       (files that cannot be shared between Python 3.X versions are left in
       original location for now)
     - add tag name to Python >= 3.2 extensions if they're missing (due to
       custom build system) in /usr/lib/pythonX.Y/dist-packages directories

2010

python3-defaults (3.2~b2-1) experimental; urgency=low

   [ Matthias Klose ]
   * Default to Python 3.2.
   * py3compile:
     - Don't over-optimize, check the timestamps of byte-code files.
     - Add options -f/--force, -O.
     - Copy stdout/stderr of py_compile processes in case of error.
     - Propagate the exit value of the py_compile processes.
     - Update manual page.
   * Bump depends to require the fixed pycompile for dh_python3 based package
     builds.
   * Don't touch the standard python library in rtupdate scripts.
 
   [ Piotr Ożarowski ]
   * dh_python3:
     - do not rename .so files outside dist-packages directory
       (Python 3.1 tag name will be added only in public directories)
     - generate proper dependencies/maintainer scripts for private
       directories with private extensions for more than one Python version
     - fix a crash in packages with private extension, test2 added (to test
       architecture dependent packages)
    * Invoke /usr/share/python3/runtime.d/ hooks in python3's preinst and
      postinst
 
   [ Scott Kitterman ]
   * Convert python.desktop to python3.desktop

python3-defaults (3.1.3-15) experimental; urgency=low

   [ Matthias Klose ]
   * Depend on the 3.1.1 versions of the packages.
 
   [ Piotr Ożarowski ]
   * py3compile: do not try to check if interpreter is present when version
     range is empty

python3-defaults (3.1.2-15) experimental; urgency=low

   * debpython/version.py: Add 3.2 as supported version.

python3-defaults (3.1.2-14) experimental; urgency=low

   * Add python3.2 as a supported version.

python3-defaults (3.1.2-12) unstable; urgency=low

   * Upload to unstable

python3-defaults (3.1.2-11) experimental; urgency=low

   * dh_python3:
     - egg renaming fixed
     - generate correct dependency for /usr/bin/python3 shebangs

python3-defaults (3.1.2-10) experimental; urgency=low

   * dh_python3: fix python3:Versions and python3:Provides (now lists Python
     versions for which public extensions are provided by binary package)

python3-defaults (3.1.2-9) experimental; urgency=low

   * dh_python3: add tag name to extension files that are missing it
     (to avoid conflicts with python3.2 in Wheezy)

python3-defaults (3.1.2-8) experimental; urgency=low

   * py3compile: recognize /usr/lib/python3/ directories correctly
     (dh_python3: minimum required python version bumped to 3.1.2-8)

python3-defaults (3.1.2-7) experimental; urgency=low

   [ Piotr Ożarowski ]
   * py3versions.py: open debian/control files with encoding='utf-8' as
     otherwise all my packages (with "ż" in debian/control) will FTBFS if
     user's locale is not set to UTF-8 (f.e. in build daemons)
   * dh_python3:
     - adjust to python3.1 3.1.2+20100909-1 changes
     - move files from /usr/lib/python3.X/dist-packages to
       /usr/lib/python3/dist-packages
     - set the right minimum required python3 package version in
       packages with private modules (for py3compile)
     - add dist_fallback file with a list of Python distribution name and
       Debian package name pairs (to be used as a fall back source for
       PyDist feature)
     - if dist_fallback and `dpkg -S` fails to find the right package name,
       fall back to package name recommended by Debian Python Policy (use
       debian/py3dist-overrides file to override)
   * py3compile, py3clean: adjust to PEP 3147 changes, -R option removed
   * Add manpages for dh_python3, py3compile and py3clean
   * Add README.derivatives (source package)
 
   [ Matthias Klose ]
   * python3: Install /usr/share/python3/python.mk.
   * python.mk (py_libdir): Return /usr/lib/python3/dist-packages for 3.x
     versions.
   * python.mk (py_pkgname): New macro to refer the package name depending
     on the python version.
   * Generate dependencies on python3 (>= 3.1.2-7~).
   * Require python3.1 3.1.2+20100909 as minimal version.

python3-defaults (3.1.2-6) unstable; urgency=low

   [ Matthias Klose ]
   * Substitution variables for control files always start with a `python3'
     prefix (python:Versions -> python3:Versions, python:Provides ->
     python3:Provides).
   * Generate dependencies on python3 (>= 3.1.2-6~).
 
   [ Piotr Ożarowski ]
   * py3compile: do not hang if interpreters are not started in the same order
     as they're used
   * dh_python3: pass shallow=False to cmpfiles to make sure file comparison
     works as expected
 
   [ Scott Kitterman ]
   * Us X-Python3-Version for Python 3 instead of XS-Python-Version (which
     should just be used for Python)

python3-defaults (3.1.2-5) unstable; urgency=medium

   * Add README.PyDist to python3-doc package
   * py3compile: compile public module for the right Python version
   * dh_python3: rename --depend to --depends, --recommend to --recommends and
     --suggest to --suggests
   * Bump Standards-Version to 3.9.1

python3-defaults (3.1.2-4) unstable; urgency=low

   * dh_python3:
     - add --depend, --recommend and --suggest command line options
      (use it if requires.txt doesn't contain dependency that package needs)
     - add {/usr,}/sbin to the list of directories with checked shebangs
   * py3compile: do not exit before all background byte compilation is finished

python3-defaults (3.1.2-3) unstable; urgency=low

   [ Piotr Ożarowski ]
   * pyclean, pycompile: use .communicate() instead of .wait() to avoid hanging
     `dpkg -L PACKAGE` in few situations
   * dh_python3: follow Distribute and replace all non-alphanumeric
     characters with underscore in distribution name
   * Add python3.{postinst,prerm} scripts
   * python3-doc now suggests python3-examples
   * Bump Standards-Version to 3.9.0
 
   [ Scott Kitterman ]
   * Drop deprecated call to dh_desktop from debian/rules
   * Bump PREVVER to 3.1.2-3~ for support for stdin in py_compile.py
 
   [ Matthias Klose ]
   * Provide the python3.pc symlink in python3-dev.
   * Call py3clean/py3compile on rtupdate in generated scripts.

python3-defaults (3.1.2-2) unstable; urgency=low

   * Add Vcs-Browser field
   * Add some lintian overrides (for false positives)
     - bump minimum required debhelper version to 6.0.7 (due to dh_lintian)
   * py3compile, py3clean and dh_python3 moved to python3 package
   * dh_python3:
     - some bugs fixed (encoding problems, parsing Python-Version,
       few python vs python3 leftovers)

python3-defaults (3.1.2-1) unstable; urgency=low

   [ Matthias Klose ]
   * Depend on the 3.1.2 versions of the packages.
   * Add py3clean, py3compile binaries to be called from python3-*
     maintainer scripts.
   * Don't allow installation of a mix of defaults packages for different
     python3 versions.
 
   [ Scott Kitterman ]
   * Provide default and supported Python3 versions (3.1 to start)
     - Rename pyversions(.py)(.1) to py3versions(.py)(.1)
     - Port py3versions.py to Python 3
     - Update py3versions to use python3 specific locations
     - Update py3versions to ignore all, current and python versions < 3.0 and
       not to use debian/pyversions
     - Update debian_defaults for python3
     - Install debian_defaults for python3
     - Update debian/rules
   * Update debian/copyright from python3.1 LICENSE file
   * Add myself to uploaders
 
   [ Piotr Ożarowski ]
   * Add dh_python3, py3compile and py3clean
   * Add myself to Uploaders

python3-defaults (3.1.1-1) unstable; urgency=low

   * Depend on the 3.1.1 versions of the packages.

2009

python3-defaults (3.1-1) experimental; urgency=low

   * Depend on the 3.1 versions of the packages.

python3-defaults (3.0.1-0ubuntu4) jaunty; urgency=low

   * Make idle3 actually run with /usr/bin/python3.  (LP: #336381)
   * Remove unused idle.sh that led to the previous confusion.

python3-defaults (3.0.1-0ubuntu3) jaunty; urgency=low

   * Make idle3 run with /usr/bin/python3, not /usr/bin/python.
     (LP: #336381)
   * Remove Essential: yes from python3-minimal, and reduce the Priority of
     python3 and python3-minimal to optional.  (LP: #330613)

python3-defaults (3.0.1-0ubuntu2) jaunty; urgency=low

   * Depend on the 3.0.1 versions of the packages.

2008

python3-defaults (3.0~b3-0ubuntu1) intrepid; urgency=low

   * Build new defaults for python3.

python-defaults (2.5.2-1ubuntu1) intrepid; urgency=low

   * Merge with Debian; remaining changes:
     - Build the -doc package from this source package.
     - Omit Debian specific upgrade code.
     - Regenerate the control file.

python-defaults (2.5.2-0ubuntu1) hardy; urgency=low

   * Depend on the 2.5.2 versions of the packages.

2007

python-defaults (2.5.1-1ubuntu2) gutsy; urgency=low

   * Temporarily loosen the dependency on python2.5 to allow python2.5
     to build on powerpc and sparc.

python-defaults (2.5.1-1ubuntu1) gutsy; urgency=low

   * Depend on the 2.5.1 versions of the packages.

python-defaults (2.5.1~rc1-0ubuntu3) feisty; urgency=low

   * Fix versioned build dependency on python2.5.

python-defaults (2.5.1~rc1-0ubuntu2) feisty; urgency=low

   * Add a sanity check, that /usr/bin/python points to the default
     python version. Users tend to modify this symlink, which then
     breaks stuff in obscure ways. Ubuntu #75557, Debian #418002.

python-defaults (2.5.1~rc1-0ubuntu1) feisty; urgency=low

   * Depend on the 2.5.1~rc1 versions of the packages.

python-defaults (2.5-0ubuntu6) feisty; urgency=low

   * python-dbg: Add a python-dbg-config binary.

python-defaults (2.5-0ubuntu5) feisty; urgency=low

   * python-all-dbg: Tighten dependencies on the python2.x-dbg packages.
   * python-dbg: Provide python-gdbm-dbg, python-tk-dbg,
     link to README.debug, SpecialBuilds.txt.gz.
   * python-dev: Add an unversioned python-config binary.
   * Readd build-dependency on python-docutils.
   * Set Ubuntu maintainer address.
   * Update the FAQ.

python-defaults (2.5-0ubuntu4) feisty; urgency=low

   * New package python-all-dbg.

python-defaults (2.5-0ubuntu3) feisty; urgency=low

   * Temporarily remove build-dependency on python-docutils.

python-defaults (2.5-0ubuntu2) feisty; urgency=low

   * Fix icon for desktop file.
   * Robustify building the faq html pages.
   * Make the suggestions of various packages versioned.
   * Recommend depending on "pythonX.X-foo, python-foo" instead of recommending
     to only depend on "pythonX.X-foo" when a particular version is needed to
     permit upgrades from real packages to virtual ones. (Loic Minier).

python-defaults (2.5-0ubuntu1) feisty; urgency=low

   * Make python2.5 the default version.

2006

python-defaults (2.4.4-1ubuntu2) feisty; urgency=low

   * python-minimal is essential, not python.

python-defaults (2.4.4-1ubuntu1) feisty; urgency=low

   * Merge with Debian unstable.
     - Backout: Add 2.5 to unsupported-versions.
   * Build the FAQ again.

python-defaults (2.4.4-1) unstable; urgency=medium

   * Depend on the 2.4.4 versions of the packages.
   * Sync pyversions.py with python-central.
   * Move 2.3 to old-versions, from supported-versions.
   * Add 2.5 to unsupported-versions.

python-defaults (2.4.3-11ubuntu3) edgy; urgency=low

   * Temporarily remove the FAQ and the build-dependency on python-docutils,
     so that the build dependencies can be installed.

python-defaults (2.4.3-11ubuntu2) edgy; urgency=low

   * debian/pyversions:
     - merged the changes from python-central to support older python
       version (and not break on upgrades)

python-defaults (2.4.3-11ubuntu1) edgy; urgency=low

   * Merge with Debian unstable.

python-defaults (2.4.3-11) unstable; urgency=low

   * Add a conflict to python-central (<< 0.5.5).

python-defaults (2.4.3-10) unstable; urgency=low

   * Upload to unstable. Closes: #347440, #360851.
   * Let the preinst fail on the first failing pre-rtupdate hook,
     after running the corresponding failed-pre-rtupdate hook.
   * Reflect renaming of the docutils binaries. Closes: #377601.
   * Update the upstream FAQ.

python-defaults (2.4.3-9) experimental; urgency=low

   * Fix syntax error in python.preinst. Closes: #381673.

python-defaults (2.4.3-8) experimental; urgency=low

   * idle: Depend on python-tk, add desktop and menu files.

python-defaults (2.4.3-7) experimental; urgency=low

   * Update pyversions.py from 2.3.5-11.
   * Fix pyversions(1), -r takes exactly one parameter.
   * idle: Remove the dependency on idle-pythonX.Y, add start script
     and man page.

python-defaults (2.4.3-6) experimental; urgency=low

   * Remove python's dependency on python-central. Closes: #372658.
   * On upgrade of the runtime to a new major version, call the hooks
     (executable files) in /usr/share/python/runtime.d/*.rtupdate.
     - in python.preinst, call the script with parameters
         pre-rtupdate <old runtime> <new runtime>.
       run all hooks, then return exit with the correct exit status.
     - in python.postinst, call the script with parameters
         rtupdate <old runtime> <new runtime>.
       run all hooks, then return exit with the correct exit status.
     - in python.postinst, call the script with parameters
         post-rtupdate <old runtime> <new runtime>.
       run all hooks, then return exit with the correct exit status.
   * pyversions -r: If the XS-Python-Version field cannot be found in
     debian/control, fall back to debian/pyversions for the version
     information. Return with an error code, if the intersection of
     the versions in debian/pyversions and the supported python versions
     is empty. Fall back to the supported versions if no version
     information can be found. Based on a patch from Raphael Hertzog.
   * Reflect renaming of the docutils binaries. Closes: #377601.

python-defaults (2.4.3-5ubuntu1) edgy; urgency=low

   * Synchronize with Debian experimental.
   * Remove python's dependency on python-central. On upgrade of
     the runtime, call hooks /usr/share/python/runtime.d/*.rtupdate.
     Addresses: #372658.
   * pyversions -r: If the XS-Python-Version field cannot be found in
     debian/control, fall back to debian/pyversions for the version
     information. Return with an error code, if the intersection of
     the versions in debian/pyversions and the supported python versions
     is empty. Fall back to the supported versions if no version
     information can be found. Based on a patch from Raphael Hertzog.

python-defaults (2.4.3-5) experimental; urgency=low

   * Tighten dependencies between packages built from this source.
     A versioned dependency on python-all / python-all-dev is enough
     to depend on the same version of python / python-dev.
   * python: Conflict with python-central (<< 0.4.17).
   * python: Depend on a python2.4 built for the updated Python policy.
   * python: Conflict with a python2.3 using the old Python policy.

python-defaults (2.4.3-4) experimental; urgency=low

   * Include version 0.4.1.0 of the python policy.
   * Fix 'pyversions -i'.

python-defaults (2.4.3-3) experimental; urgency=low

   * Point to the draft of the reworked Python policy.
   * Fix 'pyversions -r current' (Raphael Hertzog).

python-defaults (2.4.3-02) experimental; urgency=low

   * Really do not build python-doc.

python-defaults (2.4.3-1ubuntu1) edgy; urgency=low

   * Let the -all packages depend on the default packages (closes: #365219).
   * Add /usr/share/python/debian_defaults for some default values (i.e.
     the supported python versions).
   * Add /etc/python/debian_config for byte-compilation options.
   * Add a pyversions script to give information about python versions and
     parse the XS-Python-Version attribute.
   * Include version 0.4.1.0 of the python policy.

python-defaults (2.4.3-01) experimental; urgency=low

   * Do not build the python-doc package from this source.

python-defaults (2.4.3-0) experimental; urgency=low

   * Upload to experimental.
   * Do not build the python-tk and python-gdbm packages from this source.
   * Let the -all packages depend on the default packages (closes: #365219).
   * Add /usr/share/python/debian_defaults for some default values (i.e.
     the supported python versions).
   * Add /etc/python/debian_config for byte-compilation options.
   * Add a pyversions script to give information about python versions and
     parse the XS-Python-Version attribute.

python-defaults (2.4.2-1) unstable; urgency=low

   * Change the default python version to 2.4.
   * Depend on python-central.

python-defaults (2.3.5-4) unstable; urgency=low

   * Add a package python-minimal. This package still depends on python2.3,
     will depend on python2.4-minimal when changing the default python version.
   * Add two dependency packages python-all and python-all-dev. These
     packages are used as build dependencies to determine the set of
     python version and implementations, which should be / currently are
     supported. Currently it depends on python2.3 and python2.4.  Future
     versions may add an updated version of jython and ironpython.
   * Update FAQ.

2005

python-defaults (2.3.5-3) unstable; urgency=low

   * Add python-dbg package.
   * debian/control.in: idle enhances python.

python-defaults (2.3.5-2) unstable; urgency=low

   * Add valgrind support file /usr/lib/valgrind/python.supp (closes: #291128).
   * python-doc: Add an conflict/replace to older python packages.
     Closes: #297266.

python-defaults (2.3.5-1) unstable; urgency=low

   * Depend on python-2.3.5 packages.
   * Update FAQ.
   * python suggests python-profiler.

python-defaults (2.3.4-6) unstable; urgency=low

   * Add an 'Enhances: konsole' to the python package (closes: #286161).

2004

python-defaults (2.3.4-5) unstable; urgency=low

   * Add conflict/replaces to ooold python-base package (closes: #279035).

python-defaults (2.3.4-4) unstable; urgency=low

   * Regenerate control file after adding python-docutils build dependency.
     Closes: #270177.

python-defaults (2.3.4-3) testing-proposed-updates; urgency=low

   * Unmodified 2.3.4-3sid, destination sarge, fixing build failure.

python-defaults (2.3.4-3sid) unstable; urgency=low

   * Add build dependency on python-docutils (closes: #266550).

python-defaults (2.3.4-2sid) unstable; urgency=low

   * Add pdb and pdb.1 symlinks.
   * Update FAQ.

python-defaults (2.3.4-1) unstable; urgency=low

   * Depend on python-2.3.4 packages.
   * Update FAQ.

python-defaults (2.3.3-7) unstable; urgency=low

   * Fix symlinks to proposed policy files (closes: #234874).

python-defaults (2.3.3-6) unstable; urgency=low

   * Build the default packages from a separate source package to ease
     migration between python versions.
   * Update to the proposed python-policy: byte-compile using -E.